콘텐츠로 건너뛰기

Recraft V4 (Vector)

통합

모델 id recraft/v4/text-to-vector
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/recraft/v4/text-to-vector?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.08 80 API 크레딧 · ≈ ₽8.37 이 페이지에서 실행

API 키 받기
Recraft 텍스트를 이미지로 #text-to-image#text-to-vector

텍스트 프롬프트에서 SVG 출력을 반환하는 기본 Recraft V4 텍스트-벡터 모델

Recraft · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 88 / 10000
image_size 기본값 square_hd
고급 enable_safety_checker · colors · background_color
기본값 []

선호 색상을 포함하는 배열입니다.

생성 이미지 배경에 사용할 선호 색상입니다.

POST /run/recraft/v4/text-to-vector?wait=20 견적 → $0.08
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/recraft/v4/text-to-vector?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Recraft V4 (Vector) 정보

표준 V4 모델을 사용해 최대 10,000자의 `prompt`로 벡터 이미지를 생성합니다. `image_size` 프리셋, 선호하는 `colors` 및 `background_color`를 설정할 수 있습니다. 브랜드 중심의 일러스트레이션 및 그래픽 작업에 적합합니다. 이미지 목록을 반환합니다.

매개변수

이름유형 기본값허용됨 설명
prompt필수
유형string
≤ 10,000자
image_size선택 사항
유형object
기본값square_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
colors선택 사항
유형object[]
기본값[]
선호 색상을 포함하는 배열입니다.
colors[].r선택 사항
유형integer
기본값0
0 – 255
빨간색 구성 요소의 값입니다.
colors[].g선택 사항
유형integer
기본값0
0 – 255
초록색 구성 요소의 값입니다.
colors[].b선택 사항
유형integer
기본값0
0 – 255
파란색 구성 요소의 값입니다.
background_color선택 사항
유형object
생성 이미지 배경에 사용할 선호 색상입니다.
background_color.r선택 사항
유형integer
기본값0
0 – 255
빨간색 구성 요소의 값입니다.
background_color.g선택 사항
유형integer
기본값0
0 – 255
초록색 구성 요소의 값입니다.
background_color.b선택 사항
유형integer
기본값0
0 – 255
파란색 구성 요소의 값입니다.
enable_safety_checker선택 사항
유형boolean
기본값true
안전 검사 스위치입니다. 끔 설정에는 계정 인증이 필요합니다. 인증이 없으면 설정과 관계없이 모든 요청을 검사하며, true는 검사기를 활성화합니다.
필수

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "recraft/v4/text-to-vector",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 80,
    "usd": "0.08",
    "charged": 80,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size}

더 많은 모델: 텍스트를 이미지로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/recraft/v4/text-to-vector.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt